## ros-noetic-hector-gazebo-thermal-camera 0.5.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(hector_gazebo_thermal_camera VERSION 0.5.3)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS gazebo_plugins)
include_directories(include ${catkin_INCLUDE_DIRS})

## Find gazebo
if(POLICY CMP0054)
  cmake_policy(SET CMP0054 NEW)
endif()
find_package(gazebo REQUIRED)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${GAZEBO_CXX_FLAGS}")
include_directories(${GAZEBO_INCLUDE_DIRS})
link_directories(${GAZEBO_LIBRARY_DIRS})

## Find OGRE and OGRE-Paging (required for CameraPlugin.hh in Gazebo 5)
include (FindPkgConfig)
if (PKG_CONFIG_FOUND)
  pkg_check_modules(OGRE OGRE)
  pkg_check_modules(OGRE-Paging OGRE-Paging)
endif()
include_directories(${OGRE_INCLUDE_DIRS} ${OGRE-Paging_INCLUDE_DIRS})
link_directories(${OGRE_LIBRARY_DIRS} ${OGRE-Paging_LIBRARY_DIRS})

## Find Boost
find_package(Boost REQUIRED COMPONENTS thread)
include_directories(${Boost_INCLUDE_DIRS})

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
    CATKIN_DEPENDS gazebo_plugins
    INCLUDE_DIRS include
    LIBRARIES
)

###########
## Build ##
###########

add_library(gazebo_ros_thermal_camera src/gazebo_ros_thermal_camera_plugin.cpp)
target_link_libraries(gazebo_ros_thermal_camera ${GAZEBO_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES} CameraPlugin)

add_library(gazebo_ros_thermal_depth_camera src/gazebo_ros_thermal_depth_camera_plugin.cpp)
target_link_libraries(gazebo_ros_thermal_depth_camera ${GAZEBO_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES} DepthCameraPlugin)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

install(TARGETS
  gazebo_ros_thermal_camera
  gazebo_ros_thermal_depth_camera
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

=== debian/changelog ===
ros-noetic-hector-gazebo-thermal-camera (0.5.4-1focal) focal; urgency=high



 -- Stefan Fabian <fabian@sim.tu-darmstadt.de>  Wed, 23 Jun 2021 00:00:00 -0000

ros-noetic-hector-gazebo-thermal-camera (0.5.3-1focal) focal; urgency=high

  * Updated CMake version and fixed CMP0048 for non-metapackages.
  * Updated package format and maintainer information.
  * Contributors: Stefan Fabian

 -- Stefan Fabian <fabian@sim.tu-darmstadt.de>  Wed, 03 Feb 2021 00:00:00 -0000

ros-noetic-hector-gazebo-thermal-camera (0.5.2-1focal) focal; urgency=high

  * Merge pull request #64 <https://github.com/tu-darmstadt-ros-pkg/hector_gazebo/issues/64> from ms-iot/upstream_windows_fix
    [Windows][melodic-devel] Follow catkin guide to update the install path
  * fix install path. (#1 <https://github.com/tu-darmstadt-ros-pkg/hector_gazebo/issues/1>)
  * Merge pull request #53 <https://github.com/tu-darmstadt-ros-pkg/hector_gazebo/issues/53> from enwaytech/ml/cmp0054_fix
    add CMP0045 cmake policy before gazebo include in CMakeLists.txt
  * add CMP0045 cmake policy before gazebo include in CMakeLists.txt
  * Contributors: Johannes Meyer, Matthias Loebach, Sean Yen

 -- Stefan Fabian <fabian@sim.tu-darmstadt.de>  Thu, 17 Dec 2020 00:00:00 -0000

ros-noetic-hector-gazebo-thermal-camera (0.5.1-1focal) focal; urgency=high

  * Merge pull request #44 <https://github.com/tu-darmstadt-ros-pkg/hector_gazebo/issues/44> from esteve/gazebo8
    Use Gazebo 8 APIs to avoid deprecation warnings.
  * hector_gazebo_plugins/hector_gazebo_thermal_camera: removed catkin_package(DEPENDS gazebo) declaration which was a no-op anyway
    See https://github.com/ros-simulation/gazebo_ros_pkgs/pull/537.
  * Contributors: Esteve Fernandez, Johannes Meyer

 -- Stefan Fabian <fabian@sim.tu-darmstadt.de>  Fri, 29 Jun 2018 00:00:00 -0000

ros-noetic-hector-gazebo-thermal-camera (0.5.0-1focal) focal; urgency=high

  * Updated gazebo dependencies to version 7 for kinetic release
  * hector_gazebo_thermal_camera: get rid of unused dependencies nodelet, dynamic_reconfigure, driver_base and image_transport
  * Contributors: Johannes Meyer

 -- Stefan Fabian <fabian@sim.tu-darmstadt.de>  Fri, 24 Jun 2016 00:00:00 -0000

ros-noetic-hector-gazebo-thermal-camera (0.4.1-1focal) focal; urgency=high

  * see 0.3.8

 -- Stefan Fabian <fabian@sim.tu-darmstadt.de>  Fri, 24 Jun 2016 00:00:00 -0000

ros-noetic-hector-gazebo-thermal-camera (0.4.0-1focal) focal; urgency=high

  * Added proper dependencies for jade and gazebo5. Now compiles and works for gazebo5
  * Contributors: L0g1x

 -- Stefan Fabian <fabian@sim.tu-darmstadt.de>  Sat, 07 Nov 2015 00:00:00 -0000

ros-noetic-hector-gazebo-thermal-camera (0.3.8-1focal) focal; urgency=high

  * Compatible with gazebo7
  * Add Cmake flags for C++11
  * Contributors: Nate Koenig, Romain Reignier

 -- Stefan Fabian <fabian@sim.tu-darmstadt.de>  Fri, 24 Jun 2016 00:00:00 -0000

ros-noetic-hector-gazebo-thermal-camera (0.3.7-1focal) focal; urgency=high

  * hector_gazebo_plugins/hector_gazebo_thermal_camera: switch to cmake configuration for gazebo and added OGRE include directories required for CameraPlugin.hh
  * Contributors: Johannes Meyer

 -- Stefan Fabian <fabian@sim.tu-darmstadt.de>  Sat, 07 Nov 2015 00:00:00 -0000

ros-noetic-hector-gazebo-thermal-camera (0.3.6-1focal) focal; urgency=high



 -- Stefan Fabian <fabian@sim.tu-darmstadt.de>  Sat, 21 Mar 2015 00:00:00 -0000

ros-noetic-hector-gazebo-thermal-camera (0.3.5-1focal) focal; urgency=high



 -- Stefan Fabian <fabian@sim.tu-darmstadt.de>  Mon, 23 Feb 2015 00:00:00 -0000

ros-noetic-hector-gazebo-thermal-camera (0.3.4-1focal) focal; urgency=high



 -- Stefan Fabian <fabian@sim.tu-darmstadt.de>  Mon, 01 Sep 2014 00:00:00 -0000

ros-noetic-hector-gazebo-thermal-camera (0.3.3-1focal) focal; urgency=high

  * Fix bad bug with index access
  * Contributors: Stefan Kohlbrecher

 -- Stefan Fabian <fabian@sim.tu-darmstadt.de>  Tue, 27 May 2014 00:00:00 -0000

ros-noetic-hector-gazebo-thermal-camera (0.3.2-1focal) focal; urgency=high

  * added missing dependency to roscpp
  * hector_gazebo: deleted deprecated export sections from package.xml files
  * Contributors: Johannes Meyer

 -- Stefan Fabian <fabian@sim.tu-darmstadt.de>  Sun, 30 Mar 2014 00:00:00 -0000

ros-noetic-hector-gazebo-thermal-camera (0.3.1-1focal) focal; urgency=high

  * fixed image_connect_count_ compile issues with the latest gazebo_plugins version 2.3.2

 -- Stefan Fabian <fabian@sim.tu-darmstadt.de>  Mon, 23 Sep 2013 00:00:00 -0000

ros-noetic-hector-gazebo-thermal-camera (0.3.0-1focal) focal; urgency=high

  * Catkinization of stack hector_gazebo

 -- Stefan Fabian <fabian@sim.tu-darmstadt.de>  Mon, 02 Sep 2013 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-hector-gazebo-thermal-camera
Section: misc
Priority: optional
Maintainer: Stefan Fabian <fabian@sim.tu-darmstadt.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-gazebo-plugins, ros-noetic-roscpp
Homepage: http://ros.org/wiki/hector_gazebo_thermal_camera
Standards-Version: 3.9.2

Package: ros-noetic-hector-gazebo-thermal-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gazebo11, ros-noetic-gazebo-plugins, ros-noetic-roscpp
Description: hector_gazebo_thermal_camera provides a gazebo plugin that produces simulated thermal camera images.
 The plugin uses modified code from the gazebo_ros_camera plugin.
